from ..database import db


class User(db.Model):
    username = db.Column(db.String(10), primary_key=True)
    firstname = db.Column(db.String)
    surname = db.Column(db.String)

    def get_id(self):
        return self.username

    @property
    def is_authenticated(self):
        return True

    @property
    def is_anonymous(self):
        return False

    @property
    def is_active(self):
        return True
